Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.impl
Class InProcessManagersFactoryImpl

    java.lang.Object
      oracle.ifs.fdk.ManagersFactory
          oracle.ifs.fdk.InProcessManagersFactory
              oracle.ifs.fdk.impl.InProcessManagersFactoryImpl

All Implemented Interfaces:
  FdkSessionListener

Direct Known Subclasses:
  CoreInProcessManagersFactory

    public abstract class InProcessManagersFactoryImpl

extends InProcessManagersFactory
implements FdkSessionListener

Concrete implmentation of the managers factory for clients running in process.

Field Summary

Fields inherited from class oracle.ifs.fdk.ManagersFactory
`CONFIG_SERVER_VERSION, CONFIG_WS_URL`

Constructor Summary
`InProcessManagersFactoryImpl(FdkCredential credential, java.util.Map config)` Constructs an InProcessManagersFactoryImpl.
`InProcessManagersFactoryImpl(FdkSessionImpl session)` Package protected constructor used by FdkSessionImpl in some special cases.

Method Summary
`void` | `beginRequest(java.lang.String tag)` Marks the begining of a request that will result in successive calls to various managers and their methods.
`void` | `disconnectCallback(FdkSession session)` Called right before a session is about to be disconnected.
`void` | `endRequest()` Marks the end of a request.
`FdkSession` | `getFdkSession()` Returns the FdkSession created by this instance.
`Item` | `getUser(AttributeRequest[] attributes)` Returns the user as an Item that was authenticated for this instance.
`boolean` | `isInProcess()` Returns true if the instance is running in-process, false if it is running remoted over Web Services.
`void` | `logout()` The counterpart of the `login()` methods.

Methods inherited from class oracle.ifs.fdk.InProcessManagersFactory
`getExtendedFileContentManager, getExtendedLockManager, getMailManager`

Methods inherited from class oracle.ifs.fdk.ManagersFactory
`getArchiveManager, getAuditManager, getCategoryManager, getCommonManager, getContainerManager, getContentManager, getDomainManager, getFileContentManager, getFileManager, getGroupManager, getLifecycleManager, getLockManager, getRelationManager, getRequestManager, getSearchManager, getSecurityManager, getSessionManager, getSortManager, getSystemConfigurationManager, getTrashManager, getUserManager, getVersionManager, getWorkflowManager, getWorkspaceManager, login, login, login, login`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InProcessManagersFactoryImpl

    public InProcessManagersFactoryImpl(FdkCredential credential,
                                        java.util.Map config)
                                 throws FdkException

  Constructs an InProcessManagersFactoryImpl.

  The signature is required to be found via reflection.

  Parameters:
    `credential` - The credential
    `config` - The configuration.
  Throws:
    `FdkException` - if operation fails

### InProcessManagersFactoryImpl

    public InProcessManagersFactoryImpl(FdkSessionImpl session)
                                 throws FdkException

  Package protected constructor used by FdkSessionImpl in some special cases.

  Throws:
    `FdkException`

Method Detail

### getFdkSession

    public FdkSession getFdkSession()

  Description copied from class: `InProcessManagersFactoryImpl`
  Returns the FdkSession created by this instance.

  Specified by:
    `getFdkSession` in class `InProcessManagersFactory`
  Returns:
    The FdkSession created by this instance.

### isInProcess

    public boolean isInProcess()

  Description copied from class: `InProcessManagersFactoryImpl`
  Returns true if the instance is running in-process, false if it is running remoted over Web Services.

  Specified by:
    `isInProcess` in class `ManagersFactory`

### beginRequest

    public void beginRequest(java.lang.String tag)
                      throws FdkException

  Description copied from class: `InProcessManagersFactoryImpl`
  Marks the begining of a request that will result in successive calls to various managers and their methods. It is required to call this method on HTTP request boundaries for example so that it is ensured that resources are allocated and guaranteed to be available for the duration of request processing. At then end of the request, `endRequest()` must be called so that the resources are properly disposed of.

  Note that after the instance is obtained by a `login()` call, one must not call this method, the request can be considered already in progress and the resources are ready to use.

  This method does not support multiple successive calls without a call to `endRequest()` in between or an exception will be raised.

  Specified by:
    `beginRequest` in class `ManagersFactory`
  Parameters:
    `tag` - A tag that an application must use to identify itself and that can be used for statistics purposes. Must not be `null`.
  Throws:
    `FdkException`

### endRequest

    public void endRequest()
                    throws FdkException

  Description copied from class: `InProcessManagersFactoryImpl`
  Marks the end of a request. See `beginRequest()`.

  Specified by:
    `endRequest` in class `ManagersFactory`
  Throws:
    `FdkException`

### logout

    public void logout()
                throws FdkException

  Description copied from class: `InProcessManagersFactoryImpl`
  The counterpart of the `login()` methods.

  Logs out any underlying session and disposes the resources allocated by this instance.

  Clients must call this method when the instance is no longer needed (i.e. when the user session needs to be terminated).

  Specified by:
    `logout` in class `ManagersFactory`
  Throws:
    `FdkException`

### disconnectCallback

    public void disconnectCallback(FdkSession session)

  Description copied from class: `InProcessManagersFactoryImpl`
  Called right before a session is about to be disconnected.

  Specified by:
    `disconnectCallback` in interface `FdkSessionListener`
  Parameters:
    `session` - The session being disconnected.

### getUser

    public Item getUser(AttributeRequest[] attributes)
                 throws FdkException

  Description copied from class: `InProcessManagersFactoryImpl`
  Returns the user as an Item that was authenticated for this instance. Additional attributes of the user can be requested.

  Specified by:
    `getUser` in class `ManagersFactory`
  Parameters:
    `attributes` - Optional attributes to return. Can be `null`.
  Throws:
    `FdkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD